#include <iostream>
using namespace std;
 
int main()
{
    int sum = 0;
    int h, w;
    cin >> h >> w;
    int ans;
    ans = h * w;
    for (int i = 2; i <= h * w; i += 2){
        ans += h * w  / i * i;
    }
    cout << ans << endl;
}